## golang-gogoprotobuf 0.3

=== Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

.PHONY: nuke regenerate tests clean install gofmt vet contributors

all: clean install regenerate install tests errcheck vet

buildserverall: clean install regenerate install tests vet

install:
	go install ./proto
	go install ./gogoproto
	go install ./jsonpb
	go install ./protoc-gen-gogo
	go install ./protoc-gen-gofast
	go install ./protoc-gen-gogofast
	go install ./protoc-gen-gogofaster
	go install ./protoc-gen-gogoslick
	go install ./protoc-gen-gostring
	go install ./protoc-min-version
	go install ./protoc-gen-combo

clean:
	go clean ./...

nuke:
	go clean -i ./...

gofmt:
	gofmt -l -s -w .

regenerate:
	make -C protoc-gen-gogo/descriptor regenerate
	make -C protoc-gen-gogo/plugin regenerate
	make -C protoc-gen-gogo/testdata regenerate
	make -C gogoproto regenerate
	make -C proto/testdata regenerate
	make -C jsonpb/jsonpb_test_proto regenerate
	make -C test regenerate
	make -C test/example regenerate
	make -C test/unrecognized regenerate
	make -C test/group regenerate
	make -C test/unrecognizedgroup regenerate
	make -C test/enumstringer regenerate
	make -C test/unmarshalmerge regenerate
	make -C test/moredefaults regenerate
	make -C test/issue8 regenerate
	make -C test/enumprefix regenerate
	make -C test/enumcustomname regenerate
	make -C test/packed regenerate
	make -C test/protosize regenerate
	make -C test/tags regenerate
	make -C test/oneof regenerate
	make -C test/oneof3 regenerate
	make -C test/theproto3 regenerate
	make -C test/mapsproto2 regenerate
	make -C test/issue42order regenerate
	make -C proto generate-test-pbs
	make -C test/importdedup regenerate
	make -C test/custombytesnonstruct regenerate
	make -C test/required regenerate
	make -C test/casttype regenerate
	make -C test/castvalue regenerate
	make -C vanity/test regenerate
	make -C test/sizeunderscore regenerate
	make -C test/issue34 regenerate
	make -C test/empty-issue70 regenerate
	make -C test/indeximport-issue72 regenerate
	make -C test/fuzztests regenerate
	make -C test/oneofembed regenerate
	make -C test/asymetric-issue125 regenerate
	make -C test/filedotname regenerate
	make -C test/nopackage regenerate
	make gofmt

tests:
	go build ./test/enumprefix
	go test ./...

vet:
	go vet ./...
	go tool vet --shadow .

errcheck:
	go get github.com/kisielk/errcheck
	errcheck ./test/...

drone:
	sudo apt-get install protobuf-compiler
	(cd $(GOPATH)/src/github.com/gogo/protobuf && make buildserverall)

testall:
	make -C protoc-gen-gogo/testdata test
	make -C vanity/test test
	make tests

bench:
	(cd test/mixbench && go build .)
	(cd test/mixbench && ./mixbench)

contributors:
	git log --format='%aN <%aE>' | sort -fu > CONTRIBUTORS

=== test/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	go install github.com/gogo/protobuf/protoc-gen-combo
	protoc --gogo_out=. --proto_path=../:../../../../:../protobuf/:. thetest.proto
	protoc-gen-combo --default=false --proto_path=../:../../../../:../protobuf/:. thetest.proto
	cp uuid.go ./combos/both/
	cp uuid.go ./combos/marshaler/
	cp uuid.go ./combos/unmarshaler/
	cp uuid.go ./combos/unsafeboth/
	cp uuid.go ./combos/unsafemarshaler/
	cp uuid.go ./combos/unsafeunmarshaler/
	cp bug_test.go ./combos/both/
	cp bug_test.go ./combos/marshaler/
	cp bug_test.go ./combos/unmarshaler/
	cp bug_test.go ./combos/unsafeboth/
	cp bug_test.go ./combos/unsafemarshaler/
	cp bug_test.go ./combos/unsafeunmarshaler/

=== jsonpb/jsonpb_test_proto/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2015 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	protoc-min-version --version="3.0.0" --gogo_out=. *.proto -I . -I ../../ -I ../../protobuf/

=== protoc-gen-gogo/descriptor/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	go install github.com/gogo/protobuf/protoc-gen-gogo
	protoc --gogo_out=. -I=../../protobuf/google/protobuf ../../protobuf/google/protobuf/descriptor.proto
	go install github.com/gogo/protobuf/protoc-gen-gostring
	protoc --gostring_out=. -I=../../protobuf/google/protobuf ../../protobuf/google/protobuf/descriptor.proto

=== protoc-gen-gogo/plugin/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Not stored here, but plugin.proto is in https://github.com/google/protobuf/
# at src/google/protobuf/compiler/plugin.proto
# Also we need to fix an import.
regenerate:
	protoc --gogo_out=Mgoogle/protobuf/descriptor.proto=github.com/gogo/protobuf/protoc-gen-gogo/descriptor:. -I=../../protobuf/google/protobuf/compiler/:../../protobuf/ ../../protobuf/google/protobuf/compiler/plugin.proto

=== protoc-gen-gogo/testdata/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

all:
	@echo run make test

test:	regenerate testbuild

#test:	regenerate testbuild extension_test
#	./extension_test
#	@echo PASS

my_test/test.pb.go: my_test/test.proto
	protoc --gogo_out=Mmulti/multi1.proto=github.com/gogo/protobuf/protoc-gen-gogo/testdata/multi:. $<

regenerate: my_test/test.pb.go
	go install github.com/gogo/protobuf/protoc-min-version
	protoc-min-version --version="3.0.0" --gogo_out=. ./my_test/test.proto

nuke:	clean

testbuild:	buildprotos
	go test

buildprotos:
	# Invoke protoc once to generate three independent .pb.go files in the same package.
	protoc --gogo_out=. multi/multi{1,2,3}.proto

#extension_test:	extension_test.$O
#	$(LD) -L. -o $@ $<

#multi.a: multi3.pb.$O multi2.pb.$O multi1.pb.$O
#	rm -f multi.a
#	$(QUOTED_GOBIN)/gopack grc $@ $<

#test.pb.go:	imp.pb.go
#multi1.pb.go:	multi2.pb.go multi3.pb.go
#main.$O: imp.pb.$O test.pb.$O multi.a
#extension_test.$O: extension_base.pb.$O extension_extra.pb.$O extension_user.pb.$O

=== test/oneof/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	go install github.com/gogo/protobuf/protoc-gen-combo
	protoc-gen-combo --version="2.6.0" --proto_path=../../../../../:../../protobuf/:. one.proto

=== test/theproto3/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	cp header.proto theproto3.proto
	cat maps.proto >> theproto3.proto
	cat footer.proto >> theproto3.proto
	go install github.com/gogo/protobuf/protoc-gen-combo
	protoc-gen-combo --version="3.0.0" --proto_path=../../../../../:../../protobuf/:. theproto3.proto
	find combos -type d -not -name combos -exec cp proto3_test.go.in {}/proto3_test.go \;

=== debian/changelog ===
golang-gogoprotobuf (0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #835161).
    - removed obsolete "arch32.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 26 Aug 2016 09:11:56 +1000

=== debian/control ===
Source: golang-gogoprotobuf
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9), dh-golang (>= 1.9), golang-go (>= 1.0)
    ,protobuf-compiler
Standards-Version: 3.9.8
Homepage: https://github.com/gogo/protobuf
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gogoprotobuf.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-gogoprotobuf.git

Package: golang-gogoprotobuf-dev
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}
    ,golang-github-gogo-protobuf-dev
    ,gogoprotobuf
Description: transitional package -- safe to remove
 This transitional package facilitates migration to
 "golang-github-gogo-protobuf-dev" and can be safely removed.

Package: golang-github-gogo-protobuf-dev
Architecture: all
Breaks: golang-gogoprotobuf-dev (<< 0.2-1)
Replaces: golang-gogoprotobuf-dev (<< 0.2-1)
Depends: ${misc:Depends}
Recommends: gogoprotobuf
Description: alternative protocol buffer support for Golang - sources
 An alternative protocol buffer support for the Go programming language,
 forked from golang-goprotobuf. It is backwards compatible with
 goprotobuf, but provides faster marshalling and unmarshalling and can
 generate extra helper code, tests and benchmarks.
 .
 This package provides sources.

Package: gogoprotobuf
Architecture: any
Breaks: golang-gogoprotobuf-dev (<< 0.2-1)
Replaces: golang-gogoprotobuf-dev (<< 0.2-1)
Depends: ${shlibs:Depends}, ${misc:Depends}
    ,golang-github-gogo-protobuf-dev (= ${source:Version})
    ,protobuf-compiler
Description: alternative protocol buffer support for Golang - utilities
 An alternative protocol buffer support for the Go programming language,
 forked from golang-goprotobuf. It is backwards compatible with
 goprotobuf, but provides faster marshalling and unmarshalling and can
 generate extra helper code, tests and benchmarks.
 .
 This package provides utilities.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_GOPKG := github.com/gogo/protobuf

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
## Ignore test failures:
##    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=824717
##    https://github.com/gogo/protobuf/issues/164
	-PATH="$(CURDIR)/_build/bin:$$PATH" dh_auto_test
else
	PATH="$(CURDIR)/_build/bin:$$PATH" dh_auto_test
endif

## golang-gogoprotobuf 0.3+git20170120.144.265e960d

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 all: clean install regenerate install tests errcheck vet
 
-buildserverall: clean install regenerate install tests vet
+buildserverall: clean install regenerate install tests vet js
 
 install:
 	go install ./proto
@@ -44,6 +44,7 @@
 	go install ./protoc-gen-gostring
 	go install ./protoc-min-version
 	go install ./protoc-gen-combo
+	go install ./gogoreplace
 
 clean:
 	go clean ./...
@@ -61,6 +62,8 @@
 	make -C gogoproto regenerate
 	make -C proto/testdata regenerate
 	make -C jsonpb/jsonpb_test_proto regenerate
+	make -C _conformance regenerate
+	make -C types regenerate
 	make -C test regenerate
 	make -C test/example regenerate
 	make -C test/unrecognized regenerate
@@ -96,6 +99,14 @@
 	make -C test/asymetric-issue125 regenerate
 	make -C test/filedotname regenerate
 	make -C test/nopackage regenerate
+	make -C test/types regenerate
+	make -C test/proto3extension regenerate
+	make -C test/stdtypes regenerate
+	make -C test/data regenerate
+	make -C test/typedecl regenerate
+	make -C test/enumdecl regenerate
+	make -C test/typedecl_all regenerate
+	make -C test/enumdecl_all regenerate
 	make gofmt
 
 tests:
@@ -126,4 +137,9 @@
 contributors:
 	git log --format='%aN <%aE>' | sort -fu > CONTRIBUTORS
 
+js:
+	go get github.com/gopherjs/gopherjs
+	gopherjs build github.com/gogo/protobuf/protoc-gen-gogo
 
+update:
+	(cd protobuf && make update)

=== test/mapsproto2/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	go install github.com/gogo/protobuf/protoc-gen-combo
	go install github.com/gogo/protobuf/protoc-gen-gogo
	cp header.proto mapsproto2.proto
	cat ../theproto3/maps.proto >> mapsproto2.proto
	find combos -type d -not -name combos -exec cp mapsproto2_test.go.in {}/mapsproto2_test.go \;
	protoc-gen-combo --version="3.0.0" --gogo_out=. --proto_path=../../../../../:../../protobuf/:. mapsproto2.proto

=== debian/changelog ===
golang-gogoprotobuf (0.3+git20170120.144.265e960d-1ubuntu1) zesty; urgency=medium

  * debian/patches/bigendian-tests.diff: Backport commit 100ba4e from upstream
    to skip tests when they'd fail on big endian arches.

 -- William Grant <wgrant@ubuntu.com>  Fri, 17 Mar 2017 20:34:01 +1100

golang-gogoprotobuf (0.3+git20170120.144.265e960d-1) unstable; urgency=medium

  * New upstream snapshot.  This ensures generated code can be compiled
    using the golang-grpc 1.x package.

 -- Tim Potter <tpot@hpe.com>  Wed, 25 Jan 2017 08:39:04 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-gogoprotobuf
 Section: devel
 Priority: extra
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9), dh-golang (>= 1.9), golang-go (>= 1.0)
     ,protobuf-compiler

## golang-gogoprotobuf 0.5

=== debian/changelog ===
golang-gogoprotobuf (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Stop using go 1.7 on ppc64el, as upstream fixed the issues.
  * Exclude package without non-test files from compilation.
  * Remove lintian overrides.
  * Update debian/copyright.

 -- Martín Ferrari <tincho@debian.org>  Sun, 15 Oct 2017 22:07:23 +0000

golang-gogoprotobuf (0.4-1) unstable; urgency=high

  * Add myself to Uploaders.
  * New upstream release. Closes: 871915.
  * Force usage of go 1.7 on ppc64el. Closes: 871914.
  * Lintian now fails to recognise the go binaries: add overrides.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/rules: Replace DH_GOPKG with XS-Go-Import-Path.
  * debian/rules: Exclude from compilation packages without .go files.

 -- Martín Ferrari <tincho@debian.org>  Tue, 29 Aug 2017 04:26:42 +0000

golang-gogoprotobuf (0.3+git20170120.144.265e960d-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 12:37:26 +0300

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: golang-gogoprotobuf
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooĳ <jelmer@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 9), dh-golang (>= 1.9), golang-go (>= 1.0)
-    ,protobuf-compiler
-Standards-Version: 3.9.8
+Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
+           Martín Ferrari <tincho@debian.org>,
+           Tim Potter <tpot@hpe.com>,
+Build-Depends: debhelper (>= 9),
+               dh-golang (>= 1.9),
+               golang-any,
+               protobuf-compiler,
+Standards-Version: 4.1.0
 Homepage: https://github.com/gogo/protobuf
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gogoprotobuf.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-gogoprotobuf.git
+Testsuite: autopkgtest-pkg-go
+XS-Go-Import-Path: github.com/gogo/protobuf
 
 Package: golang-gogoprotobuf-dev
 Section: oldlibs
 Architecture: all
-Depends: ${misc:Depends}
-    ,golang-github-gogo-protobuf-dev
-    ,gogoprotobuf
+Depends: gogoprotobuf, golang-github-gogo-protobuf-dev, ${misc:Depends}
 Description: transitional package -- safe to remove
  This transitional package facilitates migration to
  "golang-github-gogo-protobuf-dev" and can be safely removed.
@@ -39,9 +42,10 @@
 Architecture: any
 Breaks: golang-gogoprotobuf-dev (<< 0.2-1)
 Replaces: golang-gogoprotobuf-dev (<< 0.2-1)
-Depends: ${shlibs:Depends}, ${misc:Depends}
-    ,golang-github-gogo-protobuf-dev (= ${source:Version})
-    ,protobuf-compiler
+Depends: golang-github-gogo-protobuf-dev (= ${source:Version}),
+         protobuf-compiler,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: alternative protocol buffer support for Golang - utilities
  An alternative protocol buffer support for the Go programming language,
  forked from golang-goprotobuf. It is backwards compatible with

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,15 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-export DH_GOPKG := github.com/gogo/protobuf
+export DH_GOLANG_EXCLUDES =
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
+
+# Need to exclude packages without .go files.
+override_dh_auto_build: DH_GOLANG_EXCLUDES += test/jsonpb-gogo
+override_dh_auto_build:
+	dh_auto_build
 
 override_dh_auto_test:
 ifneq (,$(filter $(DEB_HOST_ARCH),armhf))

## golang-gogoprotobuf 1.0.0+git20180330.1ef32a8b

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,8 @@
 # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+GO_VERSION:=$(shell go version)
 
 .PHONY: nuke regenerate tests clean install gofmt vet contributors
 
@@ -63,7 +65,7 @@
 	make -C proto/testdata regenerate
 	make -C jsonpb/jsonpb_test_proto regenerate
 	make -C _conformance regenerate
-	make -C types regenerate
+	make -C protobuf regenerate
 	make -C test regenerate
 	make -C test/example regenerate
 	make -C test/unrecognized regenerate
@@ -81,10 +83,12 @@
 	make -C test/oneof regenerate
 	make -C test/oneof3 regenerate
 	make -C test/theproto3 regenerate
+	make -C test/mapdefaults regenerate
 	make -C test/mapsproto2 regenerate
 	make -C test/issue42order regenerate
 	make -C proto generate-test-pbs
 	make -C test/importdedup regenerate
+	make -C test/importduplicate regenerate
 	make -C test/custombytesnonstruct regenerate
 	make -C test/required regenerate
 	make -C test/casttype regenerate
@@ -104,14 +108,23 @@
 	make -C test/stdtypes regenerate
 	make -C test/data regenerate
 	make -C test/typedecl regenerate
+	make -C test/issue260 regenerate
+	make -C test/issue261 regenerate
+	make -C test/issue262 regenerate
+	make -C test/issue312 regenerate
 	make -C test/enumdecl regenerate
 	make -C test/typedecl_all regenerate
 	make -C test/enumdecl_all regenerate
+	make -C test/int64support regenerate
+	make -C test/issue322 regenerate
+	make -C test/issue330 regenerate
+	make -C test/importcustom-issue389 regenerate
 	make gofmt
 
 tests:
 	go build ./test/enumprefix
 	go test ./...
+	(cd test/stdtypes && make test)
 
 vet:
 	go vet ./...
@@ -126,20 +139,25 @@
 	(cd $(GOPATH)/src/github.com/gogo/protobuf && make buildserverall)
 
 testall:
+	go get -u github.com/golang/protobuf/proto
 	make -C protoc-gen-gogo/testdata test
 	make -C vanity/test test
+	make -C test/registration test
 	make tests
 
 bench:
+	go get golang.org/x/tools/cmd/benchcmp
 	(cd test/mixbench && go build .)
-	(cd test/mixbench && ./mixbench)
+	./test/mixbench/mixbench
 
 contributors:
 	git log --format='%aN <%aE>' | sort -fu > CONTRIBUTORS
 
 js:
-	go get github.com/gopherjs/gopherjs
+ifeq (go1.10, $(findstring go1.10, $(GO_VERSION)))
+	go get -u github.com/gopherjs/gopherjs
 	gopherjs build github.com/gogo/protobuf/protoc-gen-gogo
+endif
 
 update:
 	(cd protobuf && make update)

=== test/castvalue/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	rm -rf combos
	go install github.com/gogo/protobuf/protoc-gen-combo
	go install github.com/gogo/protobuf/protoc-gen-gogo
	protoc-min-version --version="3.0.0" --gogo_out=. --proto_path=../../../../../:../../protobuf/:. castvalue.proto
	protoc-gen-combo --default=false --version="3.0.0" --gogo_out=. --proto_path=../../../../../:../../protobuf/:. castvalue.proto
	cp mytypes.go ./combos/both/ || true
	cp mytypes.go ./combos/marshaler/ || true
	cp mytypes.go ./combos/unmarshaler/ || true
	cp mytypes.go ./combos/unsafeboth/ || true
	cp mytypes.go ./combos/unsafemarshaler/ || true
	cp mytypes.go ./combos/unsafeunmarshaler/ || true

=== test/unrecognized/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. unrecognized.proto)

=== debian/changelog ===
golang-gogoprotobuf (1.0.0+git20180330.1ef32a8b-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Name update.
  * Add libprotobuf-dev to -dev package dependencies. Closes: #900136.

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 20:11:54 +0000

golang-gogoprotobuf (1.0.0+git20180330.1ef32a8b-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Point Vcs-* urls to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Fri, 13 Apr 2018 08:58:57 -0400

golang-gogoprotobuf (0.5-2) unstable; urgency=medium

  [ Martín Ferrari ]
  * Team upload.
  * Automated cme updates.

  [ Michael Stapelberg ]
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:47:27 +0100

golang-gogoprotobuf (0.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Automated cme updates.

 -- Martín Ferrari <tincho@debian.org>  Mon, 08 Jan 2018 13:09:41 +0000

=== debian/control ===
Source: golang-gogoprotobuf
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Martina Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.9),
               golang-any,
               protobuf-compiler,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gogoprotobuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gogoprotobuf.git
Homepage: https://github.com/gogo/protobuf
XS-Go-Import-Path: github.com/gogo/protobuf

Package: golang-gogoprotobuf-dev
Architecture: all
Section: oldlibs
Depends: gogoprotobuf,
         golang-github-gogo-protobuf-dev,
         ${misc:Depends},
Description: transitional package -- safe to remove
 This transitional package facilitates migration to
 "golang-github-gogo-protobuf-dev" and can be safely removed.

Package: golang-github-gogo-protobuf-dev
Architecture: all
Depends: ${misc:Depends},
         libprotobuf-dev,
Recommends: gogoprotobuf,
Breaks: golang-gogoprotobuf-dev (<< 0.2-1),
Replaces: golang-gogoprotobuf-dev (<< 0.2-1),
Description: alternative protocol buffer support for Golang - sources
 An alternative protocol buffer support for the Go programming language,
 forked from golang-goprotobuf. It is backwards compatible with
 goprotobuf, but provides faster marshalling and unmarshalling and can
 generate extra helper code, tests and benchmarks.
 .
 This package provides sources.

Package: gogoprotobuf
Architecture: any
Depends: golang-github-gogo-protobuf-dev (= ${source:Version}),
         protobuf-compiler,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-gogoprotobuf-dev (<< 0.2-1),
Replaces: golang-gogoprotobuf-dev (<< 0.2-1),
Built-Using: ${misc:Built-Using}
Description: alternative protocol buffer support for Golang - utilities
 An alternative protocol buffer support for the Go programming language,
 forked from golang-goprotobuf. It is backwards compatible with
 goprotobuf, but provides faster marshalling and unmarshalling and can
 generate extra helper code, tests and benchmarks.
 .
 This package provides utilities.

## golang-gogoprotobuf 1.2.1%2Bgit20190611.dadb6258

=== test/cachedsize/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2018, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. cachedsize.proto)

## golang-gogoprotobuf 1.2.1+git20190611.dadb6258

=== Makefile ===
--- 
+++ 
@@ -27,12 +27,18 @@
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 GO_VERSION:=$(shell go version)
+BENCHLIST?=all
+
+# Skip known issues from purego tests
+# https://github.com/gogo/protobuf/issues/447
+# https://github.com/gogo/protobuf/issues/448
+SKIPISSUE:="/jsonpb|/test/casttype/|/test/oneof/combos/"
 
 .PHONY: nuke regenerate tests clean install gofmt vet contributors
 
 all: clean install regenerate install tests errcheck vet
 
-buildserverall: clean install regenerate install tests vet js
+buildserverall: clean install regenerate install tests vet js purego
 
 install:
 	go install ./proto
@@ -52,19 +58,18 @@
 	go clean ./...
 
 nuke:
-	go clean -i ./...
+	go clean -i -cache ./...
 
 gofmt:
 	gofmt -l -s -w .
 
 regenerate:
-	make -C protoc-gen-gogo/descriptor regenerate
-	make -C protoc-gen-gogo/plugin regenerate
-	make -C protoc-gen-gogo/testdata regenerate
+	make -C protoc-gen-gogo regenerate
 	make -C gogoproto regenerate
-	make -C proto/testdata regenerate
+	make -C proto/test_proto regenerate
+	make -C proto/proto3_proto regenerate
 	make -C jsonpb/jsonpb_test_proto regenerate
-	make -C _conformance regenerate
+	make -C conformance regenerate
 	make -C protobuf regenerate
 	make -C test regenerate
 	make -C test/example regenerate
@@ -119,6 +124,19 @@
 	make -C test/issue322 regenerate
 	make -C test/issue330 regenerate
 	make -C test/importcustom-issue389 regenerate
+	make -C test/merge regenerate
+	make -C test/cachedsize regenerate
+	make -C test/deterministic regenerate
+	make -C test/issue438 regenerate
+	make -C test/issue444 regenerate
+	make -C test/issue449 regenerate
+	make -C test/xxxfields regenerate
+	make -C test/issue435 regenerate
+	make -C test/issue411 regenerate
+	make -C test/issue498 regenerate
+	make -C test/issue503 regenerate
+	make -C test/issue530 regenerate
+
 	make gofmt
 
 tests:
@@ -127,8 +145,9 @@
 	(cd test/stdtypes && make test)
 
 vet:
+	go get golang.org/x/tools/go/analysis/passes/shadow/cmd/shadow
 	go vet ./...
-	go tool vet --shadow .
+	go vet -vettool=$(shell which shadow) ./...
 
 errcheck:
 	go get github.com/kisielk/errcheck
@@ -140,24 +159,29 @@
 
 testall:
 	go get -u github.com/golang/protobuf/proto
-	make -C protoc-gen-gogo/testdata test
+	make -C protoc-gen-gogo test
 	make -C vanity/test test
 	make -C test/registration test
+	make -C conformance test
+	make -C test/issue427 test
 	make tests
 
 bench:
 	go get golang.org/x/tools/cmd/benchcmp
 	(cd test/mixbench && go build .)
-	./test/mixbench/mixbench
+	./test/mixbench/mixbench -benchlist "${BENCHLIST}"
 
 contributors:
 	git log --format='%aN <%aE>' | sort -fu > CONTRIBUTORS
 
 js:
-ifeq (go1.10, $(findstring go1.10, $(GO_VERSION)))
+ifeq (go1.12, $(findstring go1.12, $(GO_VERSION)))
 	go get -u github.com/gopherjs/gopherjs
 	gopherjs build github.com/gogo/protobuf/protoc-gen-gogo
 endif
 
+purego:
+	go test -tags purego $$(go list ./... | grep -Ev $(SKIPISSUE))
+
 update:
 	(cd protobuf && make update)

=== test/typedecl_all/Makefile ===
regenerate:
	go install github.com/gogo/protobuf/protoc-gen-gogo
	protoc-min-version --version="3.0.0" --gogo_out=. --proto_path=../../../../../:../../protobuf/:. typedeclall.proto

=== debian/changelog ===
golang-gogoprotobuf (1.2.1+git20190611.dadb6258-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Team upload
  * New upstream version.

  [ Dmitry Smirnov]
  * debhelper & compat to version 11
  * rules: export DH_GOLANG_GO_GENERATE := 1

 -- Alexandre Viau <aviau@debian.org>  Mon, 01 Jul 2019 18:35:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: golang-gogoprotobuf
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
-           Martina Ferrari <tincho@debian.org>,
+           Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-golang (>= 1.9),
                golang-any,
                protobuf-compiler,
@@ -29,7 +29,6 @@
 Package: golang-github-gogo-protobuf-dev
 Architecture: all
 Depends: ${misc:Depends},
-         libprotobuf-dev,
 Recommends: gogoprotobuf,
 Breaks: golang-gogoprotobuf-dev (<< 0.2-1),
 Replaces: golang-gogoprotobuf-dev (<< 0.2-1),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 #export DH_VERBOSE=1
 export DH_GOLANG_EXCLUDES =
+export DH_GOLANG_GO_GENERATE := 1
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/gogo/protobuf/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz
